org.firebirdsql.gds.ng.monitor

## Interface Operation

    public interface Operation

An operation of the driver.

In current implementations, this represents either a statement execution or a fetch.

Note: This is an experimental feature. The implementation or API may be removed or changed at any time.

Since:
  4.0
Author:
  Vasiliy Yashkov, Mark Rotteveel

### Nested Class Summary

Nested Classes
`static class` `Operation.Type` Type of operation.

### Method Summary

Methods
`void` `cancel()` Cancel this operation.
`Operation.Type` `getType()`

### Method Detail

#### getType

    Operation.Type getType()

Returns:
  The type of operation.

#### cancel

    void cancel()
                throws java.sql.SQLException

Cancel this operation.

Throws:
  `java.sql.SQLException` - If the cancellation failed or if this operation is no longer cancellable.